Subject: Re: [PATCH RFC 09/18] mmc: sdhci-iproc: Add support for emmc2 of the BCM2838

From: Florian Fainelli <[email-masked]>
Date: Thu, 18 Jul 2019 09:40:43 -0700

On 7/18/2019 1:34 AM, Matthias Brugger wrote:

[snip]

>>  static const struct of_device_id sdhci_iproc_of_match[] = {
>>  	{ .compatible = "brcm,bcm2835-sdhci", .data = &bcm2835_data },
>> +	{ .compatible = "brcm,bcm2838-emmc2", .data = &bcm2838_data },
> 
> As far as I'm aware of, the RPi4 FW provides a device-tree with compatible:
> brcm,bcm2711-emmc2. Shouldn't we add this as well so that we can use the DT
> passed by the FW?

Downstream typically used 2708, 2709, 2710 because those are the
Broadcom internal part numbers, and upstream has been using what's on
the package: 2835, 2836, 2837, 2838. At the end of the day, it does not
make much functional difference, but if if we have to be consistent,
then Stefan's approach here follows the consistency here.
-- 
Florian

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel